using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OpenAuth.Repository.Domain
{
    /// <summary>
    /// 复提案件实时表
    /// </summary>
    [SugarTable("drone_resubmithistory")]
    public class ReSubmitHistory
    {
        [SugarColumn(IsPrimaryKey = true)]
        public string Id { get; set; }

        /// <summary>
        /// 案件编号（原编号）
        /// </summary>
        [Description("案件编号（原编号）")]
        public string CaseNo { get; set; }

        /// <summary>
        /// 复提人id
        /// </summary>
        [Description("复提人id")]
        public long UserId { get; set; }
        /// <summary>
        /// 复提人姓名
        /// </summary>
        [Description("复提人姓名")]
        public string UserName { get; set; }

        /// <summary>
        /// 复提时间
        /// </summary>
        [Description("复提时间")]
        public System.DateTime ReSubmitTime { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        public string Remark { get; set; }

        /// <summary>
        /// 专题Key
        /// </summary>
        [Description("专题Key")]
        public string SubjectKey { get; set; }
    }
}
